#!/usr/bin/env python3
import sys
#import threading
import time
#import numpy as np
import fpclient
#from pylsl import StreamInfo, StreamOutlet, local_clock

if len(sys.argv) > 1:
	server = sys.argv[1]
else:
	server = "localhost"
	#server = "100.1.1.2"
print("fp server: ", server)

client = fpclient.FpClient(server)      # make a new NDI First Principles client

client.sendCommand("StreamFrames FrequencyDivisor:1")
stamp = 0
p=[]
while True:
	client.receive()
	#client.show()
	t=0
	try:
		p, t, n = client.parse3D()
	except:
		pass
	#print(p)
	#print("server: {:.6f}, client: {:.6f}".format(t-stamp, time.perf_counter()))
	print("server: {:.6f}, client: {:.6f}".format(t-stamp, time.perf_counter()))
	stamp = t
#class FpClient(object):